Recent Changes - Search:

Games

House Rules

New Content

About the DM

PmWiki

Site

pmwiki.org

edit SideBar

Requirements

administrators (basic) Prerequisites for running the Pm Wiki wiki engine:

  1. PHP(approve sites) 4.1 or later
  2. Some sort of webserver that can run PHP scripts.

Pm Wiki has been reported to work with the following OS/webserver combinations:

  • Apache 1.3 or 2.0, on roughly anything (Unix, Linux, Windows, and Mac OS/X)
  • Microsoft Internet Information Server, on Windows
  • I got it to work on appWeb (a very small, php-enabled webserver) executing on a Linksys NSLU 2? Network Storage Link device (runs Unslung 5.5 beta which is a Linux derivate for embedded systems). Still have to work out why file-uploads does not seem to work, however. --Hans-Göran Puke

Pm Wiki has been reported not to work on:

  • MacOS 8.6 (this is just hearsay and rumors, so we'd be glad to hear something definite)
  • Mac OS? 9?

The Standalone recipe provides a special, bare-bones webserver application that can be used to run Pm Wiki in places where another webserver isn't available.

<< PathVariables | DocumentationIndex | Security >>

Edit - History - Print - Recent Changes - Search
Page last modified on June 30, 2006, at 10:31 AM